[Deprecated]: v2.0
post
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/subjects/{srcSubjectId}/replacekits
Deprecated: Replaces a subject's kits in the system, accepts Strings and Numbers. Rights: OrsVisitManagementPost.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
srcSubjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
kits: array
kits
Contains kits.
-
reason(required): string
Minimum Length:
1Maximum Length:255ReasonExample:Some reason -
reasonLabel(required): string
Minimum Length:
1Maximum Length:255ReasonLabelExample:kits are damaged -
siteId(required): string
(uuid)
Site ID.
-
visits: array
visits
Nested Schema : kits
Type:
arrayContains kits.
Show Source
-
Array of:
string(String)
Example:
5a
Example:
[
"5a"
]Nested Schema : visits
Type:
Show Source
array-
Array of:
object NsReplaceKitRequest
Request object containing non-serialized kit replacement details.
Example:
[
{
"subjectVisitNsinventoryId":"41200000000000000000000000000252",
"quantity":10
}
]Nested Schema : NsReplaceKitRequest
Type:
objectRequest object containing non-serialized kit replacement details.
Show Source
-
quantity(required): integer
(int32)
Minimum Value:
1Quantity that must be replaced.Example:10 -
subjectVisitNsinventoryId: string
(uuid)
Inventory ID of the replaced kit.
Example:
{
"subjectVisitNsinventoryId":"41200000000000000000000000000252",
"quantity":10
}Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : SubjectReplaceKitsResponse
Type:
objectTitle:
SubjectReplaceKitsResponseResponse containing kit replacement for subject.
Show Source
-
replacedKits: array
replacedKits
List of replaced kits.
Nested Schema : replacedKits
Type:
arrayList of replaced kits.
Show Source
-
Array of:
object DispensationKit v13.0
Title:
DispensationKit v13.0Contains information for the kit dispensation.
Example:
[
{
"inventoryId":"D313327EF13845169A8ADADDA435431E",
"kitNumber":1001,
"kitTypeName":"Kit A"
}
]Nested Schema : DispensationKit v13.0
Type:
objectTitle:
DispensationKit v13.0Contains information for the kit dispensation.
Show Source
-
barcode: string
Barcode.Example:
1000 -
conserved: boolean
Title:
ConservedConserved for dispensation.Example:true -
consumeAcrossDoses: boolean
Title:
Consume Across DosesIndicates whether consumption across doses is allowed.Example:true -
deviceConnection: string
Title:
Device Connection TypeAllowed Values:[ "CloudtoCloud", "DevicetoCloud", "NoConnection" ]Device connection type.Example:DevicetoCloud -
deviceType: string
Title:
Device TypeAllowed Values:[ "ActivityWatch", "BloodPressureMonitor", "WeightScale", "ECGReader", "Spirometer", "MobileApp", "SmartPillBottle", "PulseOximeter", "WearablePatch", "Other", "GlucoseMonitor" ]Device type.Example:ActivityWatch -
dispensationConfirmed: boolean
Indicates whether dispensation is confirmed.Example:
true -
dose: number
(double)
Title:
DoseDose.Example:5 -
dosingInstruction: string
Title:
Dosing InstructionDosing instruction.Example:Take one capsule daily -
dosingUnblinded: boolean
Title:
Dosing UnblindedIndicates whether dosing is unblinded.Example:true -
frequency: string
Title:
FrequencyAllowed Values:[ "Once", "QD", "BID", "TID", "QID", "Q3", "Q4", "Q8", "Q12", "Q24", "Bedtime", "With meals", "With meals and at bedtime" ]Dosing frequency.Example:BID -
groupingNumber: integer
(int32)
Title:
Grouping NumberGrouping number for a kit.Example:1 -
id: number
(Integer)
Title:
Dispensation Kit IDUnique identifier of the dispensation kit.Example:2 -
inventoryId: string
Title:
Inventory IDInventory ID.Example:D313327EF13845169A8ADADDA435431E -
kitDescription: string
Title:
Kit DescriptionKit description.Example:Kit A -
kitNumberUTF: string
Title:
Kit Number UTFKit number with UTF-8 support.Example:A-1 -
locallySourced: boolean
Title:
Locally SourcedIndicates whether the kit is locally sourced.Example:true -
lotId: string
Title:
Lot IDLot ID.Example:D313327EF13845169A8ADADDA435431E -
lotNumber: string
Title:
Lot NumberLot number.Example:LOT20240605A -
measurement: string
Title:
MeasurementDose Measurement.Example:ml -
quantity: number
(BigDecimal)
Title:
QuantityKit quantity.Example:5 -
titrationKitLabel: string
Title:
Blinded Titration LabelBlinded titration label.Example:High dose -
titrationOption: string
Title:
Titration OptionAllowed Values:[ "up", "down", "maintain" ]Titration options to dispense kits. For example: up/down/maintain.Example:up -
trialSupplyType: string
Title:
Trial Supply TypeType of the trial supply.Example:BOTTLE
Examples
400 Response
For invalid subject or this operation is not allowed during the current subject statusOr invalid kit
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
For invalid study ID or version. Or subject not found. Or site ID not found in site service
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Subject is randomized in error. Or not enough inventory
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples